#Show progressbar
Function Show-ProgressBar
    {
        param(
                [string]$Activity,
                [int]$PercentComplete
             )   
        $MOD = ($PercentComplete % 10)
        If ($MOD -eq 0)
            {
                Write-Progress -Activity $Activity -PercentComplete $PercentComplete
            }
    }